Package org.apache.avro.data

# Class Json

java.lang.Object
org.apache.avro.data.Json

public class Json extends Object
Utilities for reading and writing arbitrary Json data in Avro format.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`Json.ObjectReader`
`DatumReader` for arbitrary Json data using the object model described in `JsonProperties`.
`static class`
`Json.ObjectWriter`
`DatumWriter` for arbitrary Json data using the object model described in `JsonProperties`.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final Schema`
`SCHEMA`
The schema for Json data.

## Method Summary

Modifier and Type
Method
Description
`static Object`
`parseJson(String s)`
Parses a JSON string and converts it to the object model described in `JsonProperties`.
`static String`
`toString(Object datum)`
Converts an instance of the object model described in `JsonProperties` to a JSON string.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### SCHEMA

public static final Schema SCHEMA
The schema for Json data.

## Method Details

### parseJson

public static Object parseJson(String s)
Parses a JSON string and converts it to the object model described in `JsonProperties`.

### toString

public static String toString(Object datum)
Converts an instance of the object model described in `JsonProperties` to a JSON string.